import request from '@/utils/request'

// 提交审核
export function set_apply(data, id) {
	return request({
		url: '/api/user_product/set_apply/' + id,
		method: 'post',
		data
	});
}

//我的商品列表
export function get_list(data) {
	return request({
		url: '/api/user_product/get_list',
		method: 'get',
		data
	});
}

//新增修改商品
export function save(data, id) {
	return request({
		url: '/api/user_product/save/' + id,
		method: 'post',
		data
	});
}

// 生成规格列表
export function is_format_attr(data) {
	return request({
		url: '/api/user_product/is_format_attr/0',
		method: 'post',
		data
	});
}

// 获取运费模板
export function temp_list(data) {
	return request({
		url: '/api/user_product/temp_list',
		method: 'get',
		data
	});
}

// 获取商品详情
export function get_product_info(data, id) {
	return request({
		url: '/api/user_product/get_product_info/' + id,
		method: 'get',
		data
	});
}

// 获取规格列表
export function get_rule(data) {
	return request({
		url: '/api/user_product/get_rule',
		method: 'get',
		data
	});
}